using Moq;

namespace AnonymousFunctions;

public static class MoqLambdas
{
    public static void UseMoq()
    {
        var fakeComparer = new Mock<IEqualityComparer<string>>();
        fakeComparer
            .Setup(c => c.Equals("Kolor", "Kolour"))
            .Returns(true);

        IEqualityComparer<string> c = fakeComparer.Object;
        Console.WriteLine(c.Equals("Kolor", "Kolour"));
    }
}
